newsSavannah Administration - News

 
 

Certificate Expiration Event September 2021

Item posted by Bob Proulx <rwp> on Tue 05 Oct 2021 06:54:40 AM UTC.

On September 30, 2021, as planned the DST Root CA X3 cross-sign has expired for the Let's Encrypt trust chain.  That was a normal and planned event.  However coupled with a verification error in the code of libraries authenticating certificates it caused some clients that have not been updated to fixed versions to have problems validating certificates.

If you are experiencing invalid certificate chain problems with Let's Encrypt certificates (not a Savannah problem) then please upgrade your client to the latest security patches for your system.  Please reference these resources as to upstream information and discussion about the issue.


Back to the top

Powered by Savane 3.13-ee12.
Corresponding source code